Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.robotinterfaces
Interface IJuniorRobot

All Superinterfaces:
  IBasicRobot

All Known Implementing Classes:
  JuniorRobot

    public interface IJuniorRobot

extends IBasicRobot

A robot interface for creating the most primitive robot type, which is a `JuniorRobot`. A junior robot is simpler than the `Robot` class.

A junior robot has a simplified model, in purpose of teaching programming skills to inexperienced in programming students. The simplified robot model will keep player from overwhelming of Robocode's rules, programming syntax and programming concept.

Instead of using getters and setters, public fields are provided for receiving information like the last scanned robot, the coordinate of the robot etc.

All methods on a junior robot are blocking calls, i.e. they do not return before their action has been completed and will at least take one turn to execute.

Since:
  1.6
Author:
  Pavel Savara (original), Flemming N. Larsen (javadoc)
See Also:
  `JuniorRobot`, `IBasicRobot`, `IAdvancedRobot`, `IInteractiveRobot`, `ITeamRobot`

Method Summary

Methods inherited from interface robocode.robotinterfaces.IBasicRobot
`getBasicEventListener, getRobotRunnable, setOut, setPeer`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD